

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/as_ops.c          |    4 ++--
 25-akpm/fs/reiser4/emergency_flush.c |    2 +-
 25-akpm/fs/reiser4/page_cache.c      |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN fs/reiser4/page_cache.c~reiser4-only-memory_backed-fix fs/reiser4/page_cache.c
--- 25/fs/reiser4/page_cache.c~reiser4-only-memory_backed-fix	2005-03-10 03:42:45.000000000 -0800
+++ 25-akpm/fs/reiser4/page_cache.c	2005-03-10 03:42:45.000000000 -0800
@@ -465,7 +465,7 @@ int set_page_dirty_internal (struct page
 	BUG_ON(mapping == NULL);
 
 	if (!TestSetPageDirty(page)) {
-		if (!mapping->backing_dev_info->memory_backed)
+		if (mapping_cap_account_dirty(mapping))
 			inc_page_state(nr_dirty);
 
 		write_lock_irq(&mapping->tree_lock);
diff -puN fs/reiser4/as_ops.c~reiser4-only-memory_backed-fix fs/reiser4/as_ops.c
--- 25/fs/reiser4/as_ops.c~reiser4-only-memory_backed-fix	2005-03-10 04:02:25.000000000 -0800
+++ 25-akpm/fs/reiser4/as_ops.c	2005-03-10 04:03:34.000000000 -0800
@@ -76,7 +76,7 @@ reiser4_clear_page_dirty(struct page *pa
 	read_lock_irqsave(&mapping->tree_lock, flags);
 	if (TestClearPageDirty(page)) {
 		read_unlock_irqrestore(&mapping->tree_lock, flags);
-		if (!mapping->backing_dev_info->memory_backed)
+		if (mapping_cap_account_dirty(mapping))
 			dec_page_state(nr_dirty);
 		return;
 	}
@@ -110,7 +110,7 @@ static int reiser4_set_page_dirty(struct
 			/* check for race with truncate */
 			if (page->mapping) {
 				assert("vs-1652", page->mapping == mapping);
-				if (!mapping->backing_dev_info->memory_backed)
+				if (mapping_cap_account_dirty(mapping))
 					inc_page_state(nr_dirty);
 				radix_tree_tag_set(&mapping->page_tree,
 						   page->index, PAGECACHE_TAG_REISER4_MOVED);
diff -puN fs/reiser4/emergency_flush.c~reiser4-only-memory_backed-fix fs/reiser4/emergency_flush.c
--- 25/fs/reiser4/emergency_flush.c~reiser4-only-memory_backed-fix	2005-03-10 04:04:53.000000000 -0800
+++ 25-akpm/fs/reiser4/emergency_flush.c	2005-03-10 04:05:20.000000000 -0800
@@ -729,7 +729,7 @@ eflush_del (jnode * node, int page_locke
 	   anything specific to reiser4 but usual dirty page accounting. If */
 	if (!TestSetPageDirty(page)) {
 		BUG_ON(jnode_get_mapping(node) != page->mapping);
-		if (!page->mapping->backing_dev_info->memory_backed)
+		if (mapping_cap_account_dirty(page->mapping))
 			inc_page_state(nr_dirty);
 	}
 
_
